Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386837 - dev-tcltk/tkimg-1.4-r3 please stabilize
Summary: dev-tcltk/tkimg-1.4-r3 please stabilize
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: TCL/TK Project
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 384701
Blocks:
  Show dependency tree
 
Reported: 2011-10-11 20:24 UTC by Justin Lecher
Modified: 2012-02-03 12:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2011-10-11 20:24:56 UTC
Please stable, runtime is super fine and we need this fro png1.5
Comment 1 Agostino Sarubbo gentoo-dev 2011-10-13 12:09:29 UTC
amd64 ok
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2011-10-15 17:45:43 UTC
amd64 done. Thanks Agostino
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2011-10-15 17:46:13 UTC
Sorry wrong bug
Comment 4 Ian Delaney (RETIRED) gentoo-dev 2011-10-16 09:36:22 UTC
(In reply to comment #3)
> Sorry wrong bug

ooops, you too

emerges fine, amd64 all ok
Comment 5 Samuli Suominen gentoo-dev 2011-10-16 12:01:56 UTC
amd64 stable
Comment 6 Markus Meier gentoo-dev 2011-10-23 11:55:50 UTC
x86 stable
Comment 7 tarek 2011-11-18 23:55:32 UTC
current sync (~amd64) I did last night shows

eix tiff
* media-libs/tiff
     Available versions:  
        (0)     3.9.5 (~)4.0.0_beta7
        (3)     (~)3.9.5-r1


Once ~4.0.0_beta7 is installed tkimg build will block due to =media-libs/tiff-3*:0 dependency failing

Slot issue.

tkimg build will grab tiff 4 library and fail, so simply fixing dependancy in ebuild is insufficient to resolve.
Comment 8 Justin Lecher gentoo-dev 2011-11-19 12:26:01 UTC
(In reply to comment #7)
> current sync (~amd64) I did last night shows
> 
> eix tiff
> * media-libs/tiff
>      Available versions:  
>         (0)     3.9.5 (~)4.0.0_beta7
>         (3)     (~)3.9.5-r1
> 
> 
> Once ~4.0.0_beta7 is installed tkimg build will block due to
> =media-libs/tiff-3*:0 dependency failing
> 
> Slot issue.
> 
> tkimg build will grab tiff 4 library and fail, so simply fixing dependancy in
> ebuild is insufficient to resolve.

Doesn't matter because tiff-4 is not stable. 
If you run unstable you should know how to mask packages as well. Mask tiff-4 and you are fine again. Sadly there is no tkimg compatibility patch for tiff-4 yet.
Comment 9 Tobias Klausmann gentoo-dev 2012-01-21 20:22:55 UTC
Stable on alpha
Comment 10 Justin Lecher gentoo-dev 2012-02-03 12:21:57 UTC
superseeded by #399771